OI Payments Docs
API ReferenceAdmin Products

Create Price

POST
/api/v1/admin/products/{id}/prices

Authorization

AdminSession
AuthorizationBearer <token>

Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.

In: header

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/v1/admin/products/0/prices" \  -H "Content-Type: application/json" \  -d '{    "type": "ONE_TIME",    "amountMinor": 0  }'
{
  "data": {
    "id": 0,
    "productId": 0,
    "type": "ONE_TIME",
    "amountMinor": 0,
    "currency": "string",
    "interval": "DAY",
    "intervalCount": 0,
    "trialDays": 0,
    "active": true,
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}